import axios from 'axios';

export async function getTvShowById(id: string) {
  try {
    const response = await axios.get(
      `https://api.themoviedb.org/3/tv/${id}?api_key=${process.env.NEXT_PUBLIC_TMDB_API_KEY}`
    );
    return response.data;
  } catch (error) {
    console.error("Failed to fetch TV show data:", error);
    return null;
  }
}
